import React from 'react';
import { IconBuildingSmallOutline, IconBuildingMediumOutline } from '@teamleader/ui-icons';
import Badge from './Badge';
export default {
  component: Badge,
  title: 'Badge'
};

var Wrapper = function Wrapper(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      minHeight: '50px',
      padding: '6px',
      display: 'flex'
    }
  }, children);
};

var Spacer = function Spacer() {
  return /*#__PURE__*/React.createElement("div", {
    style: {
      width: '12px'
    }
  });
};

export var Main = function Main() {
  return /*#__PURE__*/React.createElement("div", null, ['small', 'medium', 'large'].map(function (size) {
    return /*#__PURE__*/React.createElement(Wrapper, {
      key: size
    }, /*#__PURE__*/React.createElement(Badge, {
      size: size
    }, size), /*#__PURE__*/React.createElement(Spacer, null), /*#__PURE__*/React.createElement(Badge, {
      size: size,
      selected: true
    }, size, " selected"), /*#__PURE__*/React.createElement(Spacer, null), /*#__PURE__*/React.createElement(Badge, {
      size: size,
      disabled: true
    }, size, " disabled"), /*#__PURE__*/React.createElement(Spacer, null), /*#__PURE__*/React.createElement(Badge, {
      size: size,
      icon: size === 'large' ? /*#__PURE__*/React.createElement(IconBuildingMediumOutline, null) : /*#__PURE__*/React.createElement(IconBuildingSmallOutline, null),
      style: {
        marginRight: '12px'
      }
    }, size, " icon left"), /*#__PURE__*/React.createElement(Spacer, null), /*#__PURE__*/React.createElement(Badge, {
      size: size,
      icon: size === 'large' ? /*#__PURE__*/React.createElement(IconBuildingMediumOutline, null) : /*#__PURE__*/React.createElement(IconBuildingSmallOutline, null),
      iconPlacement: "right",
      style: {
        marginRight: '12px'
      }
    }, size, " icon right"));
  }));
};